---
search:
  tags:
    - Emails
    - GET
seo:
  description: >-
    One attachment's metadata and a signed download link… Reference for the GET
    /emails/receiving/{email_id}/attachments/{id} endpoint in the BillionSend
    API.
sidebar:
  label: Get an attachment
  badge: GET
title: Get an attachment
type: openapi-operation
---
One attachment's metadata and a signed download link valid for one hour. Needs a full access key.

`GET /emails/receiving/{email_id}/attachments/{id}`

**Responses**

- `200` — Attachment
- `401` — Missing, malformed, unknown or revoked API key
- `403` — Restricted API key
- `404` — Not found
- `429` — Over the rate limit (rate\_limit\_exceeded, with Retry-After)

Response example, 200:

```json
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "filename": "string",
  "size": 0,
  "content_type": "string",
  "content_disposition": "inline",
  "content_id": "string",
  "download_url": "string",
  "expires_at": "string",
  "object": "attachment"
}
```
